image: sphinxdoc/sphinx:latest

stages:
  - build-docs
  - deploy

################################################################################
# Build Docs
################################################################################
docs:userguide:
  image: sphinxdoc/sphinx:latest
  script:
    - pip install sphinx_rtd_theme sphinx_tabs
    - sphinx-build -b html docs/source_docs/ build/docs
    - sphinx-build -b html docs/picvva/ build/picvva
  stage: build-docs
  except:
    - schedules
  artifacts:
    name: $CI_JOB_NAME
    expire_in: 1 week
    paths:
      - build
  tags:
    - docker

################################################################################
# Deploy
################################################################################
deploy:docs:
  needs: ['docs:userguide']
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  variables:
    DOC_HOME: ${CI_PROJECT_DIR}/build
  script:
    - aws s3 sync ${DOC_HOME}/docs s3://exa-doc/user-manual/latest public-read --delete
    - aws s3 sync ${DOC_HOME}/picvva s3://exa-doc/pic-vva/latest public-read --delete
  dependencies:
    - docs:userguide
  except:
    - schedules
  tags:
    - docker
  stage: deploy


